import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Scanner;
import java.util.Random;

public class Interact {
    public static void main(String[] args) throws FileNotFoundException {
        Scanner in = new Scanner(new File("stones.in"));
        Scanner part = new Scanner(System.in);
        PrintWriter out = new PrintWriter(System.out);
        final Random random = new Random();

        int a = in.nextInt();
        int b = in.nextInt();
        int n = a + b;
        boolean[] isYellow = new boolean[a + b + 1];
        boolean[] isRed = new boolean[a + b + 1];
        for (int i = 1; i <= a; i++) {
            isYellow[i] = true;
        }
        for (int i = a + 1; i <= b; i++) {
            isRed[i] = true;
        }
        int maxTurns = in.nextInt();
        out.println(a + " " + b + " " + maxTurns);
        out.flush();
        int turns = 0;

        boolean[] ok = new boolean[a + b + 1]; 
        while (true) {
            if (++turns > maxTurns) {
                WA("Too many turns");
                return;
            }
        
            int nLeft, nRight;
            int[] tLeft, tRight;
            boolean[] hasRight = new boolean[a + b + 1];
            boolean[] hasLeft = new boolean[a + b + 1];
            try {
                nLeft = part.nextInt();
                if (nLeft == 0) {
                    int x = part.nextInt();
                    if (!ok[x]) {
                        OK(turns);
                        return;
                    }
                    WA(String.format("WA"));
                    return;
                }
                if (nLeft <= 0 || nLeft > a + b) {
                    throw new AssertionError();
                }
                tLeft = new int[nLeft];
                for (int i = 0; i < nLeft; i++) {
                    tLeft[i] = part.nextInt();
                    if (tLeft[i] <= 0 || tLeft[i] > a + b) {
                        throw new AssertionError();
                    }
                    hasLeft[tLeft[i]] = true;
                }
                nRight = part.nextInt();
                if (nRight <= 0 || nRight > a + b) {
                    throw new AssertionError();
                }
                tRight = new int[nRight];
                for (int i = 0; i < nRight; i++) {
                    tRight[i] = part.nextInt();
                    if (tRight[i] <= 0 || tRight[i] > a + b) {
                        throw new AssertionError();
                    }
                    hasRight[tRight[i]] = true;
                }
            } catch (Throwable e) {
                PE("Wrong numbers in query");
                return;
            }       
            for (int i = 0; i < nLeft; i++) {
                if (hasRight[tLeft[i]]) {
                    PE("left[i] == right[j] for some i, j");
                    return;
                }
            }
            if (nLeft != nRight) {
                out.println(nRight > nLeft ? "<" : ">");
                out.flush();
                continue;
            }
            int cnt = 0;
            int cntL = 0;
            int cntR = 0;
            for (int i = 1; i <= a + b; i++) {
                if (!hasLeft[i] && !hasRight[i] && !ok[i]) {
                    cnt++;
                }
                if (hasLeft[i] && !ok[i]) {
                    cntL++;
                }
                if (hasRight[i] && !ok[i]) {
                    cntR++;
                }
            }
            if (cnt > cntL || cnt > cntR) {
                for (int i = 0; i < nLeft; i++) {
                    ok[tLeft[i]] = true;
                }
                for (int i = 0; i < nRight; i++) {
                    ok[tRight[i]] = true;
                }
                out.println("=");
                out.flush();
                continue;
            }
            int cntLY = 0;
            int cntLR = 0;
            int cntRY = 0;
            int cntRR = 0;
            for (int i = 1; i <= a + b; i++) {
                if (ok[i]) {
                    continue;
                }
                if (hasLeft[i] && isYellow[i])
                    cntLY++;
                if (hasLeft[i] && isRed[i])
                    cntLR++;
                if (hasRight[i] && isYellow[i])
                    cntRY++;
                if (hasRight[i] && isRed[i])
                    cntRR++;
            }
            if (cntLY + cntRR > cntLR + cntRY) {
                for (int i = 1; i <= a + b; i++) {
                    if (hasLeft[i] && isRed[i]) {
                        ok[i] = true;
                    }    
                    if (hasRight[i] && isYellow[i]) {
                        ok[i] = true;
                    }
                }
                out.println("<");
            } else if (cntLY + cntRR == cntLR + cntRY) {
                String output = random.nextInt() % 2 == 1 ? "=" : ">";
                for (int i = 1; i <= a + b; i++) {
                    if (output.equals("=")) {
                        if (hasLeft[i] || hasRight[i]) {
                            ok[i] = true;
                        }
                    } else {
                        if (hasLeft[i] && isYellow[i]) {
                            ok[i] = true;
                        }    
                        if (hasRight[i] && isRed[i]) {
                            ok[i] = true;
                        }
                    }
                }
                out.println(output);
            } else {
                for (int i = 1; i <= a + b; i++) {
                    if (hasLeft[i] && isYellow[i]) {
                        ok[i] = true;
                    }    
                    if (hasRight[i] && isRed[i]) {
                        ok[i] = true;
                    }
                }
                out.println(">");
            }
            out.flush();
        }
    }

    private static void OK(int cnt) throws FileNotFoundException {
        PrintWriter pw = new PrintWriter("stones.out");
        pw.print("OK ");
        pw.println("Contestant found the way after " + cnt + " moves");
        pw.close();
    }

    private static void PE(String s) throws FileNotFoundException {
        PrintWriter pw = new PrintWriter("stones.out");
        pw.print("PE ");
        pw.println(s);
        pw.close();
    }

    private static void WA(String string) throws FileNotFoundException {
        PrintWriter pw = new PrintWriter("stones.out");
        pw.print("WA ");
        pw.println(string);
        pw.close();
    }
}
